/* This little utility creates a folder on your desktop with the */
/* following features:                                           */
/* - not deleteable                                              */
/* - not copyable                                                */
/* - not moveable                                                */
/* - not renameable                                              */
Call RxFuncadd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

say "-------------------------------------------------------"
say "Enter location for folder to be created (e.g. 'c:\'):"
pull path

say "-------------------------------------------------------"
say "Enter name for folder to be created (e.g. 'Users'):"
pull name
say "-------------------------------------------------------"

RetCode = SysCreateObject( "WPFolder", name, path, "NODELETE=YES;NOCOPY=YES;NOMOVE=YES;NORENAME=YES;NODROP=NO" )

if RetCode then
   say 'Folder created successfully.'
else
   say 'Error occured!'

exit(RetCode)
